Delete Customer Image

Deletes the profile image that is set for a customer.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Example request

curl --location --request DELETE 'http://eu.api.capillarytech.com/v2/customers/564703420/deleteImage?image_ids=1' \
--header 'Authorization: Basic bWFkaHVzI3MjU2YQ==' \
--header 'Cookie: _cfuvid=UYaVw3yuWRusRWRvItdJ48TY.KSQcYmqJkINxSb_QXs-1744174110851-0.0.1.1-604800000; _cfuvid=dGIwbWm0KYguuf5fXsGxJ3mtpHXlH_k.GmKwtWQNmTM-1745306076287-0.0.1.1-604800000; _cfuvid=LfYENyeS6Y1vCU1Y4hd0xU6z6lxpFmFMWKQSr5LBhhs-1750337938435-0.0.1.1-604800000; _cfuvid=lz.4VRPSCSjAEVc3Q13mvAwa1ev1vKj_dsBEmxMWkvU-1758738086920-0.0.1.1-604800000'

Query parameter

ParameterTypeDescription
image_ids*Integer

Index of the image to be deleted.

Images for each customer are stored in a 0-based index order, meaning the first image is at position 0, the second at 1, the third at 2, and so on. To delete an image, you need to pass the index position of that image in the image_ids parameter. For example, if a customer has 3 images:
Image 1 → index 0
Image 2 → index 1
Image 3 → index 2
To delete any one of them, pass the respective index (0, 1, or 2) in the image_ids parameter.

Note: The index values depend on the total number of images available for that specific customer. If more images are added, the index positions will increase accordingly.

To find the number of images and indexes associated with the customer refer to Get Customer Image.

Example response

{
    "data": [
        {
            "code": 200,
            "message": "Success",
            "status": "true"
        }
    ],
    "warnings": [],
    "errors": []
}

Response parameters

ParameterTypeDescription
messagestringSuccess/failure message
statusstring"true" if successful, else "false"

API specific Error Code

Error CodeDescriptionReason
8078No Image passed to be deleted.Valid Image not passed.
8015Customer not found for the given identifiersValid customer identifiers not passed.
Path Params
int64
required

Pass the unique ID of the customer whose goodwill request details you want to fetch.

Query Params
image_ids
array of int32s
required

Unique IDs of images to be deleted. Pass each image ID in a new line.

image_ids*
Headers
string
Defaults to multipart/form-data

Pass the relevant value. Note: Content-Type is not required, as the DELETE request does not contain a payload.

Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json